## org.apache.batik.apps.rasterizer
Class SVGConverterURLSource

    java.lang.Object
      org.apache.batik.apps.rasterizer.SVGConverterURLSource

All Implemented Interfaces:
  SVGConverterSource

public class SVGConverterURLSource
extends java.lang.Object
implements SVGConverterSource

Field Summary
`static java.lang.String` `ERROR_INVALID_URL`
`protected static java.lang.String` `SVG_EXTENSION` SVG file extension
`protected static java.lang.String` `SVGZ_EXTENSION`

Constructor Summary
`SVGConverterURLSource(java.lang.String url)`

Method Summary
`boolean` `equals(java.lang.Object o)`
`java.lang.String` `getName()` Returns the name of the source.
`java.lang.String` `getURI()` Returns a URI string corresponding to this source
`boolean` `isReadable()` Checks if source can be read
`boolean` `isSameAs(java.lang.String srcStr)` Checks if same as source described by srcStr
`java.io.InputStream` `openStream()` Gets a `TranscoderInput` for that source
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SVG_EXTENSION

    protected static final java.lang.String SVG_EXTENSION

  SVG file extension

  See Also:
    Constant Field Values

### SVGZ_EXTENSION

    protected static final java.lang.String SVGZ_EXTENSION

See Also:
  Constant Field Values

### ERROR_INVALID_URL

    public static final java.lang.String ERROR_INVALID_URL

See Also:
  Constant Field Values

Constructor Detail

### SVGConverterURLSource

    public SVGConverterURLSource(java.lang.String url)
                          throws SVGConverterException

Method Detail

### toString

    public java.lang.String toString()

### getURI

    public java.lang.String getURI()

  Description copied from interface: `SVGConverterSource`
  Returns a URI string corresponding to this source

  Specified by:
    `getURI` in interface `SVGConverterSource`

### equals

    public boolean equals(java.lang.Object o)

### openStream

    public java.io.InputStream openStream()
                                   throws java.io.IOException

  Description copied from interface: `SVGConverterSource`
  Gets a `TranscoderInput` for that source

  Specified by:
    `openStream` in interface `SVGConverterSource`
  Throws:
    `java.io.IOException`

### isSameAs

    public boolean isSameAs(java.lang.String srcStr)

  Description copied from interface: `SVGConverterSource`
  Checks if same as source described by srcStr

  Specified by:
    `isSameAs` in interface `SVGConverterSource`

### isReadable

    public boolean isReadable()

  Description copied from interface: `SVGConverterSource`
  Checks if source can be read

  Specified by:
    `isReadable` in interface `SVGConverterSource`

### getName

    public java.lang.String getName()

  Description copied from interface: `SVGConverterSource`
  Returns the name of the source. That would be the name for a File or URL

  Specified by:
    `getName` in interface `SVGConverterSource`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.